unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Menus, ExtCtrls, ComCtrls, Process ;

{ $ifdef linux}

{ $endif}



type

  { TForm1 }

  TForm1 = class(TForm)
    Label1: TLabel;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    PopupMenu1: TPopupMenu;
    Timer1: TTimer;
    Timer2: TTimer;
    TrackBar1: TTrackBar;
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure MenuItem1Click(Sender: TObject);
    procedure MenuItem2Click(Sender: TObject);
    procedure MenuItem3Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure TrackBar1KeyUp(Sender: TObject; var Key: Word; Shift: TShiftState
      );
    procedure TrackBar1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 
  sl:tstringlist;
implementation

{$R *.lfm}

{ TForm1 }

function filedir(path: string): string;
var
  c, i: word;
begin
  Result := path;
  c := length(Result);
  for i := c downto 1 do
  begin
    if (Result[i] <> '/') and (Result[i] <> '\\') then
      Delete(Result, i, 1)
    else
      break;
  end;
end;


 procedure execmp3(path: string);
var
AProcess: TProcess;

begin
{$ifdef linux}
AProcess := TProcess.Create(nil);

path:= '"'+path+'"';

AProcess.CommandLine := 'mpg123 ' +path ;

//AProcess.Options := AProcess.Options + [poWaitOnExit];
AProcess.Execute;
AProcess.Free;
{$endif}
{$ifdef windows}

{$endif}
end;

procedure initlabel;
begin
if form1.label1.caption = '' then form1.label1.caption:= ' ';
form1.label1.width:= form1.width;
form1.label1.font.size:= form1.width div (length(form1.label1.Caption) div 2);
form1.label1.height:=form1.label1.font.size * 2;
form1.label1.Top:=form1.height div 2 - form1.label1.Font.Size div 2;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  w,h:word;
  dir:string;
begin
randomize;
sl:= tstringlist.Create;

dir:= filedir(ParamStr(0));


try
sl.LoadFromFile(dir + 'ToRead.txt');

except



end;



 form1.BorderStyle:= bsNone;
 form1.FormStyle:= fsStayOnTop;
 form1.Left:= 0;
 form1.Top:= 0;
 form1.Height:= Screen.Height;
 form1.Width:= Screen.Width;
 initlabel;

if Screen.MonitorCount > 1 then
begin
MenuItem2.Visible:=true;
MenuItem3.Visible:=true;
end;


  execmp3('./MindPrep.mp3');
end;

procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
sl.Free;
end;

procedure TForm1.FormKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
 if key = 27 then form1.close();
end;

procedure TForm1.MenuItem1Click(Sender: TObject);
begin
  form1.close();
end;

procedure TForm1.MenuItem2Click(Sender: TObject);
begin
form1.BorderStyle:= bsNone;
form1.Left:= Screen.Monitors[0].Left;
form1.Top:= 0;
form1.FormStyle:= fsStayOnTop;
form1.Height:= Screen.Monitors[0].height;
form1.Width:= Screen.Monitors[0].Width;
initlabel;
end;

procedure TForm1.MenuItem3Click(Sender: TObject);
begin
form1.BorderStyle:= bsNone;
form1.Left:= Screen.Monitors[1].Left;
form1.Top:= 0;
form1.FormStyle:= fsStayOnTop;
form1.Height:= Screen.Monitors[1].height;
form1.Width:= Screen.Monitors[1].Width;
initlabel;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin

label1.caption:=sl.strings[random(sl.Count-1)];
initlabel;

end;

procedure TForm1.Timer2Timer(Sender: TObject);
begin
execmp3('./MindPrep.mp3');
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin

end;

procedure TForm1.TrackBar1KeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin

end;

procedure TForm1.TrackBar1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
   timer1.interval:=trackbar1.position;
end;

end.

